# Class ParamHandler

java.lang.Object
uk.ac.starlink.ttools.votlint.ElementHandler
uk.ac.starlink.ttools.votlint.ParamHandler

Direct Known Subclasses:
  `FieldHandler`

public class ParamHandler extends ElementHandler
Element handler for elements which describe values - this is FIELD and PARAM type ones.

Since:
  7 Apr 2005
Author:
  Mark Taylor (Starlink)

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ParamHandler.ValueChecker`
Attribute checker which can check attributes which contain strings of the type described by this element.

## Constructor Summary

Constructors
Constructor
Description
`ParamHandler()`

## Method Summary

Modifier and Type
Method
Description
`ValueParser`
`getParser()`
Returns a parser which knows how to check values associated with this element.
`void`
`setAttributes(Map<String,String> atts)`
Sets this handler's attributes.

### Methods inherited from class ElementHandler

`characters, configure, endElement, error, getAncestry, getAttribute, getContext, getName, getRef, info, registerChildName, setAncestry, startElement, toString, warning`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ParamHandler

public ParamHandler()

## Method Details

### setAttributes

public void setAttributes(Map<String,String> atts)
Description copied from class: `ElementHandler`
Sets this handler's attributes.

Overrides:
  `setAttributes` in class `ElementHandler`
Parameters:
  `atts` - name -> value map representing this element's attributes

### getParser

public ValueParser getParser()
Returns a parser which knows how to check values associated with this element.

Returns:
  parser